Author: jfrederic.clere(a)jboss.com
Date: 2011-01-10 12:28:53 -0500 (Mon, 10 Jan 2011)
New Revision: 2708
Modified:
trunk/build/unix/build.sh
Log:
Move the logic to find the gnu patch after setting the PATH...
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2011-01-10 11:33:27 UTC (rev 2707)
+++ trunk/build/unix/build.sh 2011-01-10 17:28:53 UTC (rev 2708)
@@ -170,14 +170,6 @@
export build_version
export PACKAGE
-# Check for some gnu mandadory tools.
-patch=`util/find_gnu.sh patch`
-if [ "x" = "x${patch}" ]; then
- echo "Error missing gnu patch command"
- exit 1
-fi
-export patch
-
# Read tag and version of subcomponent/dependencies.
parg=`grep -v '^#' ${package_list} | grep "^$PACKAGE|" | grep
"|$build_version|" | sed 's:|: :g'`
@@ -393,6 +385,16 @@
;;
esac
+# Check for some gnu mandadory tools.
+# patch.
+patch=`util/find_gnu.sh patch`
+if [ "x" = "x${patch}" ]; then
+ echo "Error missing gnu patch command"
+ exit 1
+fi
+export patch
+
+
# Check for a posix tar
mkdir test.$$
tar --owner=root --group=bin -cf /dev/null test.$$
Show replies by date